<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: StdDriver/inc/acmp.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">acmp.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d2f/acmp_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __ACMP_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __ACMP_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment">/* ACMP_CR constant definitions                                                                            */</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadf8b3039e5b30cfc887b6ad643dc09ba">   36</a></span><span class="preprocessor">#define ACMP_VNEG_PIN             (0xFFUL)                         </span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga481479065eb4c99496f47f0446ebc08c">   37</a></span><span class="preprocessor">#define ACMP_VNEG_BANDGAP         (0x00UL)                         </span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad093625fadea6e49424ff344e53a1b16">   38</a></span><span class="preprocessor">#define ACMP_VNEG_4_OVER_24_VDD   (0x80UL)                         </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae2d48ae80b7c455a6dcc56cd7be7aaea">   39</a></span><span class="preprocessor">#define ACMP_VNEG_5_OVER_24_VDD   (0x81UL)                         </span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab85c7b6cfe58780b3f3f652b3a4c74db">   40</a></span><span class="preprocessor">#define ACMP_VNEG_6_OVER_24_VDD   (0x82UL)                         </span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga84d876fac31c296009dae76ada7fb272">   41</a></span><span class="preprocessor">#define ACMP_VNEG_7_OVER_24_VDD   (0x83UL)                         </span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab1ee7840c1f3bfc08ddbacc35a5035f9">   42</a></span><span class="preprocessor">#define ACMP_VNEG_8_OVER_24_VDD   (0x84UL)                         </span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa6abea7de7a7657613d7384756a0152">   43</a></span><span class="preprocessor">#define ACMP_VNEG_9_OVER_24_VDD   (0x85UL)                         </span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga37b0fd96e03b926a23a4a7051fa27f12">   44</a></span><span class="preprocessor">#define ACMP_VNEG_10_OVER_24_VDD  (0x86UL)                         </span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaacd100fed9c0af36873a941112837fab">   45</a></span><span class="preprocessor">#define ACMP_VNEG_11_OVER_24_VDD  (0x87UL)                         </span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaca9a3256161919d609a32624d7bf83cc">   46</a></span><span class="preprocessor">#define ACMP_VNEG_12_OVER_24_VDD  (0x88UL)                         </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1a449460888aa4525a1b31b570298659">   47</a></span><span class="preprocessor">#define ACMP_VNEG_13_OVER_24_VDD  (0x89UL)                         </span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga46990998e22d00fbb4ec786468e83235">   48</a></span><span class="preprocessor">#define ACMP_VNEG_14_OVER_24_VDD  (0x8AUL)                         </span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4fb7d54042bfe6cf7e024a13275fb21c">   49</a></span><span class="preprocessor">#define ACMP_VNEG_15_OVER_24_VDD  (0x8BUL)                         </span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae3e0ce81360887cf66e7cb0673fe1f2">   50</a></span><span class="preprocessor">#define ACMP_VNEG_16_OVER_24_VDD  (0x8CUL)                         </span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa4d36ccecf094dca11d816512c832be0">   51</a></span><span class="preprocessor">#define ACMP_VNEG_17_OVER_24_VDD  (0x8DUL)                         </span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad3895f326e3f41b0c02f0b91630180e5">   52</a></span><span class="preprocessor">#define ACMP_VNEG_18_OVER_24_VDD  (0x8EUL)                         </span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b7680596640382172c1667ed5cc9985">   53</a></span><span class="preprocessor">#define ACMP_VNEG_19_OVER_24_VDD  (0x8FUL)                         </span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0c583ff7d2e4c259483d0e0dd3959344">   54</a></span><span class="preprocessor">#define ACMP_HYSTERESIS_ENABLE    (1UL &lt;&lt; ACMP_CMPCR_HYSEN_Pos)    </span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga919e8aa2701296dadee00358b7046aeb">   55</a></span><span class="preprocessor">#define ACMP_HYSTERESIS_DISABLE   (0UL)                            </span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7422f0c27a6d1a6c9463f0f6c05ded19">   56</a></span><span class="preprocessor">#define ACMP_CH0_POSPIN_P15       (0UL)                            </span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2976487036e9dd0d4ee33dc8d5be5b40">   57</a></span><span class="preprocessor">#define ACMP_CH0_POSPIN_P10       (1UL &lt;&lt; ACMP_CMPCR_CPPSEL_Pos)   </span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga68f9bc6db2a24bdf586a281341c933d9">   58</a></span><span class="preprocessor">#define ACMP_CH0_POSPIN_P12       (2UL &lt;&lt; ACMP_CMPCR_CPPSEL_Pos)   </span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1d07f0ff812a4b161d0142727d6cc62b">   59</a></span><span class="preprocessor">#define ACMP_CH0_POSPIN_P13       (3UL &lt;&lt; ACMP_CMPCR_CPPSEL_Pos)   </span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3b9ebdef1fce13730e7f83b469dd439a">   60</a></span><span class="preprocessor">#define ACMP_CH1_POSPIN_P31       (0UL)                            </span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac68c18180c5cef5579cc30ef1e6c3062">   61</a></span><span class="preprocessor">#define ACMP_CH1_POSPIN_P32       (1UL &lt;&lt; ACMP_CMPCR_CPPSEL_Pos)   </span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacc1a88b4444474a513e110b5b9b008cd">   62</a></span><span class="preprocessor">#define ACMP_CH1_POSPIN_P34       (2UL &lt;&lt; ACMP_CMPCR_CPPSEL_Pos)   </span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga228c8f8f9651764614effb566de21cb7">   63</a></span><span class="preprocessor">#define ACMP_CH1_POSPIN_P35       (3UL &lt;&lt; ACMP_CMPCR_CPPSEL_Pos)   </span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> <span class="comment">/* end of group MINI51_ACMP_EXPORTED_CONSTANTS */</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga45a665764c52ef6a9f04d7ea146628e4">  101</a></span><span class="preprocessor">#define ACMP_SET_NEG_SRC(acmp, u32ChNum, u32Src) do{\</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span><span class="preprocessor">                                                     if(u32Src == ACMP_VNEG_PIN)\</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span><span class="preprocessor">                                                         ACMP-&gt;CMPCR[u32ChNum] &amp;= ~ACMP_CMPCR_NEGSEL_Msk;\</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span><span class="preprocessor">                                                     else {\</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span><span class="preprocessor">                                                         ACMP-&gt;CMPCR[u32ChNum] |= ACMP_CMPCR_NEGSEL_Msk;\</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span><span class="preprocessor">                                                         ACMP-&gt;CMPRVCR = u32Src;\</span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span><span class="preprocessor">                                                     }\</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span><span class="preprocessor">                                                 }while(0)</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span> </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6ff058bc40270bc680c5342e61286d1c">  117</a></span><span class="preprocessor">#define ACMP_ENABLE_HYSTERESIS(acmp, u32ChNum) (ACMP-&gt;CMPCR[u32ChNum] |= ACMP_CMPCR_HYSEN_Msk)</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2d40aa0b9764296df3efdbf123efd67c">  126</a></span><span class="preprocessor">#define ACMP_DISABLE_HYSTERESIS(acmp, u32ChNum) (ACMP-&gt;CMPCR[u32ChNum] &amp;= ~ACMP_CMPCR_HYSEN_Msk)</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3a87980f263cf8d119a0c8c6813c0009">  135</a></span><span class="preprocessor">#define ACMP_ENABLE_INT(acmp, u32ChNum) (ACMP-&gt;CMPCR[u32ChNum] |= ACMP_CMPCR_ACMPIE_Msk)</span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span> </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabeacab51c104e76f4a63e549dd51458e">  144</a></span><span class="preprocessor">#define ACMP_DISABLE_INT(acmp, u32ChNum) (ACMP-&gt;CMPCR[u32ChNum] &amp;= ~ACMP_CMPCR_ACMPIE_Msk)</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span> </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b0826b13566d82221c87495d53f1fd1">  154</a></span><span class="preprocessor">#define ACMP_ENABLE(acmp, u32ChNum) (ACMP-&gt;CMPCR[u32ChNum] |= ACMP_CMPCR_ACMPEN_Msk)</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span> </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6d2a6f4b3ff275b7b9c288d4ff9e451">  163</a></span><span class="preprocessor">#define ACMP_DISABLE(acmp, u32ChNum) (ACMP-&gt;CMPCR[u32ChNum] &amp;= ~ACMP_CMPCR_ACMPEN_Msk)</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span> </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga49697bfbf35af67568bed5eea9a16f14">  172</a></span><span class="preprocessor">#define ACMP_GET_OUTPUT(acmp, u32ChNum) (ACMP-&gt;CMPSR &amp; (ACMP_CMPSR_ACMPCO0_Msk&lt;&lt;(u32ChNum))?1:0)</span></div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span> </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35fd02ebe49db0363ea1b49abd8e0a44">  181</a></span><span class="preprocessor">#define ACMP_GET_INT_FLAG(acmp, u32ChNum) (ACMP-&gt;CMPSR &amp; (ACMP_CMPSR_ACMPF0_Msk&lt;&lt;(u32ChNum))?1:0)</span></div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span> </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6970a7ea11190354b68cf7773ce58941">  190</a></span><span class="preprocessor">#define ACMP_CLR_INT_FLAG(acmp, u32ChNum) (ACMP-&gt;CMPSR = (ACMP_CMPSR_ACMPF0_Msk&lt;&lt;(u32ChNum)))</span></div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span> </div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga846eaf67234d451d75e61e62af4794a5">  204</a></span><span class="preprocessor">#define ACMP_SELECT_P(acmp, u32ChNum, u32Pin)  (ACMP-&gt;CMPCR[u32ChNum] = (ACMP-&gt;CMPCR[u32ChNum] &amp; ~ACMP_CMPCR_CPPSEL_Msk) | u32Pin)</span></div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga447f20e461c095de0e6dd502f4a267ac">  228</a></span><span class="preprocessor">#define ACMP_CRV_SEL(acmp, u32Level) (ACMP-&gt;CMPRVCR = (ACMP-&gt;CMPRVCR &amp; ~ACMP_CMPRVCR_CRVS_Msk) | (u32Level &amp; ~ACMP_CMPRVCR_OUT_SEL_Msk))</span></div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8ea40922e983fbac41f1edb8de6a3508">  235</a></span><span class="preprocessor">#define ACMP_ENABLE_CRV(acmp) (ACMP-&gt;CMPRVCR |= ACMP_CMPRVCR_OUT_SEL_Msk)</span></div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa02b51a7db91ab851ad314fbf1522774">  242</a></span><span class="preprocessor">#define ACMP_DISABLE_CRV(acmp) (ACMP-&gt;CMPRVCR &amp;= ~ACMP_CMPRVCR_OUT_SEL_Msk)</span></div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span> </div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa588315707d73c35a6feb7d9c00c1f89">  251</a></span><span class="preprocessor">#define ACMP_ENABLE_FALLING_EDGE_TRIGGER(acmp, u32ChNum) (ACMP-&gt;CMPCR[u32ChNum] |= ACMP_CMPCR_FALLING_Msk)</span></div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span> </div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf9e29e6dd5c660e59d235f33e219c5c4">  260</a></span><span class="preprocessor">#define ACMP_DISABLE_FALLING_EDGE_TRIGGER(acmp, u32ChNum) (ACMP-&gt;CMPCR[u32ChNum] &amp;= ~ACMP_CMPCR_FALLING_Msk)</span></div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span> </div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ee23caf53b782225b1b9385c8afac99">  269</a></span><span class="preprocessor">#define ACMP_ENABLE_RISING_EDGE_TRIGGER(acmp, u32ChNum) (ACMP-&gt;CMPCR[u32ChNum] |= ACMP_CMPCR_RISING_Msk)</span></div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span> </div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6c8977e1db37dfddd00e3af0ff806326">  277</a></span><span class="preprocessor">#define ACMP_DISABLE_RISING_EDGE_TRIGGER(acmp, u32ChNum) (ACMP-&gt;CMPCR[u32ChNum] &amp;= ~ACMP_CMPCR_RISING_Msk)</span></div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span> </div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga042fe719ca247fb07992bd66bf267b89">ACMP_Open</a>(<a class="code hl_struct" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *acmp, uint32_t u32ChNum, uint32_t u32NegSrc, uint32_t u32HysteresisEn);</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23acd50e45282f2140f23971b7cb29cd">ACMP_Close</a>(<a class="code hl_struct" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *acmp, uint32_t u32ChNum);</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span> <span class="comment">/* end of group MINI51_ACMP_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span> <span class="comment">/* end of group MINI51_ACMP_Driver */</span></div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span> <span class="comment">/* end of group MINI51_Device_Driver */</span></div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span> </div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>}</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span> </div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span><span class="preprocessor">#endif </span><span class="comment">//__ACMP_H__</span></div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span> </div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="agroup___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga042fe719ca247fb07992bd66bf267b89"><div class="ttname"><a href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga042fe719ca247fb07992bd66bf267b89">ACMP_Open</a></div><div class="ttdeci">void ACMP_Open(ACMP_T *acmp, uint32_t u32ChNum, uint32_t u32NegSrc, uint32_t u32HysteresisEn)</div><div class="ttdoc">Configure the specified ACMP module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/df1/acmp_8c_source.html#l00064">acmp.c:64</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga23acd50e45282f2140f23971b7cb29cd"><div class="ttname"><a href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23acd50e45282f2140f23971b7cb29cd">ACMP_Close</a></div><div class="ttdeci">void ACMP_Close(ACMP_T *acmp, uint32_t u32ChNum)</div><div class="ttdoc">This function close comparator.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/df1/acmp_8c_source.html#l00080">acmp.c:80</a></div></div>
<div class="ttc" id="astruct_a_c_m_p___t_html"><div class="ttname"><a href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00156">Mini51Series.h:157</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:38 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
